Subject: Re: bug#22752: 01/01: import: gem: Add updater.

From: Leo Famulari <[email-masked]>
Date: Sun, 21 Feb 2016 01:59:58 -0500

On Sun, Feb 21, 2016 at 04:04:10PM +1000, Ben Woodcroft wrote:
> 
> 
> On 21/02/16 15:55, Leo Famulari wrote:
> >On Sat, Feb 20, 2016 at 10:53:05AM +0000, Ben Woodcroft wrote:
> >>benwoodcroft pushed a commit to branch master
> >>in repository guix.
> >>
> >>commit fbc5b815cce85a6af75226ab16acf243fd7d22ce
> >>Author: Ben Woodcroft <[email-masked]>
> >>Date:   Fri Jan 1 16:56:07 2016 +1000
> >>
> >>     import: gem: Add updater.
> >Since this commit, I can no longer use guix refresh.
> Hmm, I guess I messed something up then. I do not have any problem though.

Everything worked again after I completely rebuilt from git. I guess
there was some ABI mismatch between the compiled files that had been
updated at certain times.

Sorry for the noise!

> 
> Does it help to remove this (unneeded) line
> 
> +  #:use-module (guix import gem)
> 
> from guix/scripts/refresh.scm ?
> 
> ben
>